-- Overs default data_spells file
-- Used to add additional spells to the game

require 'default:combat'

--[[
This file will add more than one mod to the game but will allow for each
modification to be added separately.
the format for adding enhancements is

require 'yourFolderName.yourFileName'

This method is only used for when you are overriding an existing file to
allow multiple people to edit the same file. All your other files need to
remain in the GSCC/scripts folder with your initials in capitals as at the 
beginning. example: NS_hellportal_effect.lua

]]--


--[[
Combat Flow
--------------
On Init

--> Store all equipment info (This allows passing of all combat data between targets during combat to avoid multiple data reads across objects in a single combat cycle)


Start Combat
--> Establish Attack Range View
--> If target is in range and there is no swing timer active then make a swing at the target
--> Select Attack Type (Melee / Ranged)
--> Initiate Swing (Projectiles have base damage calculated and stored at the time of the swing and then the hit info is scheduled to be calculated later.)
--> Check Hit
--> Check Parry
--> Check Dodge
--> Calculate Base Hit Damage
--> Check Block
--> Schedule Next Swing
--> Factor Damage Modifiers (Armor/Buffs/Abilities)
--> Send final damage to target
--> Clear Flags (Active Special Move)


----> Hit Fail (Miss)
-------> Perform Miss Actions (Cost of specials/Set bonus delay for next swing/ set combat state to vulnerable)

----> Parry Success
-------> Perform Parry actions (set swing delay, set state to open, set target state to countering)

--> Dodge Success
-------> Perform Dodge actions (set swing delay, set state to open, set target state to countering)


--> Block Success
-------> Perform Block actions (set swing delay, set target blocking state, Calculate shield damage absorb)




]]

-- Mr Staples

-- causes a weapon to trigger a "has hit message" when a target is successfully hit in combat.
require 'staples.sendWeaponHitMessage'
