AllRecipes = {
	--Aldor: all MetalsmithSkill recipes modified and added new ones
	MetalsmithSkill = {
		CopperIngotFromCopperScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Copper Ingots",
			CraftingTemplateFile = "resource_copper_ingots",
			Description = "Converts copper scraps to copper ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				CopperScraps = 60,
			},
		},

		CopperIngotFromCopperOre = {
			MinLevelToCraft = 0,
			DisplayName = "Copper Ingots",
			CraftingTemplateFile = "resource_copper_ingots",
			Description = "Converts copper ore to copper ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				CopperOre = 10,
			},
		},

		BronzeIngotFromBronzeScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Bronze Ingots",
			CraftingTemplateFile = "resource_bronze_ingots",
			Description = "Converts bronze scraps to bronze ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				BronzeScraps = 60,
			},
		},

		BronzeIngotFromCopperOre = {
			MinLevelToCraft = 2,
			DisplayName = "Bronze Ingots",
			CraftingTemplateFile = "resource_bronze_ingots",
			Description = "Converts copper ore and tin to bronze ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				CopperOre = 10,
				TinOre = 1,
			},
		},

		IronIngotFromIronScraps = {
			MinLevelToCraft = 5,
			DisplayName = "Iron Ingots",
			CraftingTemplateFile = "resource_iron_ingots",
			Description = "Converts iron scraps to iron ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				IronScraps = 60,
			},
		},

		IronIngotFromIronOre = {
			MinLevelToCraft = 5,
			DisplayName = "Iron Ingots",
			CraftingTemplateFile = "resource_iron_ingots",
			Description = "Converts iron ore to iron ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				IronOre = 10,
			},
		},

		SteelIngotFromSteelScraps = {
			MinLevelToCraft = 5,
			DisplayName = "Lingotes de acero",
			CraftingTemplateFile = "resource_steel_ingots",
			Description = "Converts steel scraps to steel ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				SteelScraps = 60,
			},
		},

		SteelIngotFromIronOre = {
			MinLevelToCraft = 8,
			DisplayName = "Lingotes de acero",
			CraftingTemplateFile = "resource_steel_ingots",
			Description = "Converts iron ore and coal to steel ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				IronOre = 10,
				Coal = 1,
			},
		},

		CobaltIngotFromCobaltScraps = {
			MinLevelToCraft = 10,
			DisplayName = "Lingotes de cobalto",
			CraftingTemplateFile = "resource_cobalt_ingots",
			Description = "Converts cobalt scraps to cobalt ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				CobaltScraps = 60,
			},
		},

		CobaltIngotFromCobaltOre = {
			MinLevelToCraft = 10,
			DisplayName = "Lingotes de cobalto",
			CraftingTemplateFile = "resource_cobalt_ingots",
			Description = "Converts cobalt ore to cobalt ingots for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				CobaltOre = 10,
			},
		},

	--Weapons
		Dagger = {
			MinLevelToCraft = 0,
			DisplayName = "Dagger",
			CraftingTemplateFile = "weapon_dagger_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 1},
				Stout = {IronIngots = 8},
				Sturdy = {SteelIngots = 11},
			},
		},

		Longsword = {
			MinLevelToCraft = 8,
			DisplayName = "Longsword",
			CraftingTemplateFile = "weapon_longsword_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3, TannedLeather = 1},
				Stout = {IronIngots = 15, TannedLeather = 8},
				Sturdy = {SteelIngots = 11, GildedLeather = 9},
			},			
		},


		Rapier = {
			MinLevelToCraft = 10,
			DisplayName = "Rapier",
			CraftingTemplateFile = "weapon_rapier_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3},
				Stout = {IronIngots = 15},
				Sturdy = {SteelIngots = 12},
			},
		},

		Maul = {
			MinLevelToCraft = 12,
			DisplayName = "Maul",
			CraftingTemplateFile = "weapon_maul_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3},
				Stout = {IronIngots = 15},
				Sturdy = {SteelIngots = 15},
			},
		},

		Spear = {
			MinLevelToCraft = 5,
			DisplayName = "Long Spear",
			CraftingTemplateFile = "weapon_long_spear_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {Fabric = 4, Boards = 4},
				Stout = {Fabric = 23, Boards = 23},
				Sturdy = {SilkFabric = 5, BlightwoodBoards = 11, SteelIngots = 9},
			},
		},

		GreatHammer = {
			MinLevelToCraft = 10,
			DisplayName = "Great Hammer",
			CraftingTemplateFile = "weapon_greathammer_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3},
				Stout = {IronIngots = 15},
				Sturdy = {SteelIngots = 16},
			},
		},

		Glaive = {
			MinLevelToCraft = 14,
			DisplayName = "Glaive",
			CraftingTemplateFile = "weapon_glaive_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3, Boards = 1},
				Stout = {IronIngots = 15, Boards = 8},
				Sturdy = {SteelIngots = 14, BlightwoodBoards = 2},
			},
		},

		BattleAxe = {
			MinLevelToCraft = 14,
			DisplayName = "Battle Axe",
			CraftingTemplateFile = "weapon_battleaxe_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 1, Fabric = 1},
				Stout = {IronIngots = 8, Fabric = 8},
				Sturdy = {SteelIngots = 14, SilkFabric = 2},
			},
		},

		Staff = {
			MinLevelToCraft = 6,
			DisplayName = "Magic Staff",
			CraftingTemplateFile = "weapon_staff_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {Fabric = 3, Boards = 7},
				Stout = {Fabric = 15, Boards = 7},
				Sturdy = {SilkFabric = 11, BlightwoodBoards = 45, SteelIngots = 5},
			},
		},

	--Armor
		PlateHelm = {
			MinLevelToCraft = 20,
			DisplayName = "Plate Helm",
			CraftingTemplateFile = "plate_helm_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 4},
				Stout = {IronIngots = 23},
				Sturdy = {SteelIngots = 15},
			},
		},
		
		PlateLegs = {
			MinLevelToCraft = 25,
			DisplayName = "Plate Legs",
			CraftingTemplateFile = "plate_legs_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 4, TannedLeather = 2},
				Stout = {IronIngots = 23, TannedLeather = 12},
				Sturdy = {SteelIngots = 11, GildedLeather = 27},
			},
		},
		
		PlateChest = {
			MinLevelToCraft = 30,
			DisplayName = "Plate Chest",
			CraftingTemplateFile = "plate_chest_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 6, TannedLeather = 3},
				Stout = {IronIngots = 31, TannedLeather = 15},
				Sturdy = {SteelIngots = 12, GildedLeather = 29},
			},
		},


		ScaleMailHelm = {
			MinLevelToCraft = 20,
			DisplayName = "Scale Helm",
			CraftingTemplateFile = "scale_helm_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3},
				Stout = {IronIngots = 15},
				Sturdy = {SteelIngots = 11},
			},
		},
		
		ScaleMailLegs = {
			MinLevelToCraft = 20,
			DisplayName = "Scale Legs",
			CraftingTemplateFile = "scale_legs_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3},
				Stout = {IronIngots = 15},
				Sturdy = {SteelIngots = 14},
			},
		},
		
		ScaleMailChest = {
			MinLevelToCraft = 25,
			DisplayName = "Scale Chest",
			CraftingTemplateFile = "scale_chest_base",
			ItemType = "ArmorClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 4},
				Stout = {IronIngots = 23},
				Sturdy = {SteelIngots = 16},
			},
		},

	--Shields	
		Buckler = {
			MinLevelToCraft = 5,
			DisplayName = "Buckler",
			CraftingTemplateFile = "shield_buckler_base",
			ItemType = "ShieldClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 1, TannedLeather = 1},
				Stout = {IronIngots = 8, TannedLeather = 8},
				Sturdy = {SteelIngots = 7, GildedLeather = 1},
			},
		},

		LargeShield = {
			MinLevelToCraft = 15,
			DisplayName = "Large Shield",
			CraftingTemplateFile = "shield_large_base",
			ItemType = "ShieldClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {BronzeIngots = 3, TannedLeather = 3},
				Stout = {IronIngots = 15, TannedLeather = 15},
				Sturdy = {SteelIngots = 9, GildedLeather = 5},
			},
		},	

	--Tool
		CookingPot = {
			MinLevelToCraft = 10,
			DisplayName = "Cooking Pot",
			CraftingTemplateFile = "tool_cookingpot",
			ItemType = "CraftingToolClass",
			Description = "A tool used for cooking food. Can create different more satisfying forms of food.",
			NeedRecipe = true,
			Resources = {
				CopperIngots = 2,
			},
		},		
		
		MiningPick = {
			MinLevelToCraft = 2,
			DisplayName = "Mining Pick",
			CraftingTemplateFile = "tool_mining_pick",
			ItemType = "HarvestToolClass",
			Description = "A mining pick. Can be used to mine rocks for ores, minerals, gems. Can be used in combat.",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				IronIngots = 1,
				Boards = 1,
			},
		},
		
		Shovel = {
			MinLevelToCraft = 5,
			DisplayName = "Shovel",
			CraftingTemplateFile = "tool_shovel",
			ItemType = "HarvestToolClass",
			Description = "A tool used for digging. Can be used to uncover buried items.",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				IronIngots = 1,
			},
		},
		
		HuntingKnife = {
			MinLevelToCraft = 0,
			DisplayName = "Hunting Knife",
			CraftingTemplateFile = "tool_hunting_knife",
			ItemType = "HarvestToolClass",
			Description = "A tool used for carving animal meats and hides. Not a combat item.",
			NeedRecipe = true,
			Resources = {
				BronzeIngots = 1,
			},
		},	

		Hatchet = {
			MinLevelToCraft = 0,
			DisplayName = "Hatchet",
			CraftingTemplateFile = "tool_hatchet",
			Description = "A tool used for cutting down trees. Can be used in combat.",
			ItemType = "HarvestToolClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				BronzeIngots = 1,
				Boards = 1,
			},
		},

		Hammer = {
			MinLevelToCraft = 5,
			DisplayName = "Hammer",
			CraftingTemplateFile = "tool_hammer",
			ItemType = "HarvestToolClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				IronIngots = 1,
				Boards = 1,
			},
		},
		
		Anvil = {
			MinLevelToCraft = 12,
			DisplayName = "Anvil",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_anvil",
			Description = "Furniture. Used to decorate your home.",
			Resources = {
				IronIngots = 5,
			},
		},
		Forge = {
			MinLevelToCraft = 20,
			DisplayName = "Forge",
			NeedRecipe = true,
			CraftingTemplateFile = "tool_forge",
			Description = "Allows you craft weapons and armour made of metals.",
			Resources = {
				IronIngots = 4,
				Boards = 8,
				Stone = 120,
			},
		},
		Candelabra = {
			MinLevelToCraft = 20,
			DisplayName = "Candelabra",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_candelabra",
			Description = "Furniture. Used to light your home.",
			Resources = {
				IronIngots = 2,
			},
		},
		CandelabraShort = {
			MinLevelToCraft = 5,
			DisplayName = "Candelabra Short",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_candelabra",
			Description = "Furniture. Used to light your home.",
			Resources = {
				CopperIngots = 1,
			},
		},
	--Aldor: end of modifications
		CultistSpearHead = {
			MinLevelToCraft = 26,
			DisplayName = "Cultist Spear Head",
			NeedRecipe = true,
			CraftingTemplateFile = "cultist_spear_head",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 1,
			},
		},
		GraveHalfWall01 = {
			MinLevelToCraft = 32,
			DisplayName = "Graveyard Half Wall",
			NeedRecipe = true,
			CraftingTemplateFile = "wall_half_graveyard",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 360,
			},
		},
		GraveWall02 = {
			MinLevelToCraft = 32,
			DisplayName = "Graveyard Wall",
			NeedRecipe = true,
			CraftingTemplateFile = "wall_graveyard",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 2,
				Stone = 420,
			},
		},
		Gravestone1 = {
			MinLevelToCraft = 10,
			DisplayName = "Curved Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_curved",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone2 = {
			MinLevelToCraft = 10,
			DisplayName = "Tipped Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_tipped",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone3 = {
			MinLevelToCraft = 10,
			DisplayName = "Uncracked Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_cracked",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone4 = {
			MinLevelToCraft = 10,
			DisplayName = "Uncracked Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_uncracked",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone5 = {
			MinLevelToCraft = 10,
			DisplayName = "Flat Top Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_topped",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone6 = {
			MinLevelToCraft = 10,
			DisplayName = "Pillar Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_pillar",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone7 = {
			MinLevelToCraft = 10,
			DisplayName = "Ceremonial Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_ceremonial",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Gravestone8 = {
			MinLevelToCraft = 10,
			DisplayName = "Flat Gravestone",
			NeedRecipe = true,
			CraftingTemplateFile = "gravestone_flat",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 80,
			},
		},
		Lantern = {
			MinLevelToCraft = 16,
			DisplayName = "Street Lantern",
			NeedRecipe = true,
			CraftingTemplateFile = "lantern_street",
			Description = "Decoration. Used to light your home.",
			Resources = {
				IronIngots = 4,
			},
		},
		LanternLine = {
			MinLevelToCraft = 36,
			DisplayName = "Lantern Line",
			NeedRecipe = true,
			CraftingTemplateFile = "lantern_line",
			Description = "Decoration. Used to light your home..",
			Resources = {
				IronIngots = 3,
				Boards = 40,
			},
		},
		MineCart01 = {
			MinLevelToCraft = 22,
			DisplayName = "Mine Cart",
			NeedRecipe = true,
			CraftingTemplateFile = "mine_cart",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 5,
				Boards = 7,
			},
		},
		MineCart02 = {
			MinLevelToCraft = 22,
			DisplayName = "Mine Cart with No Wheels",
			NeedRecipe = true,
			CraftingTemplateFile = "mine_cart_no_wheels",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 5,
				Boards = 7,
			},
		},
		SewerHangingCage = {
			MinLevelToCraft = 40,
			DisplayName = "Hanging Cage",
			NeedRecipe = true,
			CraftingTemplateFile = "cage_hanging_sewer",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 4,
			},
		},
		Spike = {
			MinLevelToCraft = 18,
			DisplayName = "Deadly Spike",
			NeedRecipe = true,
			CraftingTemplateFile = "spike",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 1,
				Boards = 4,
			},
		},
		SpikeBloody = {
			MinLevelToCraft = 22,
			DisplayName = "Bloody Deadly Spike",
			NeedRecipe = true,
			CraftingTemplateFile = "spike_bloody",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 1,
				Boards = 4,
			},
		},
		StoneFencePillar = {
			MinLevelToCraft = 30,
			DisplayName = "Stone Pillar",
			NeedRecipe = true,
			CraftingTemplateFile = "pillar_stone",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				Stone = 220,
			},
		},
		Stove = {
			MinLevelToCraft = 6,
			DisplayName = "Stove",
			NeedRecipe = false,
			CraftingTemplateFile = "stove",
			Description = "Decoration. Can be placed in your home.",
			Resources = {
				IronIngots = 3,
			},
		},
		TorchGothic = {
			MinLevelToCraft = 34,
			DisplayName = "Gothic Torch",
			NeedRecipe = true,
			CraftingTemplateFile = "torch_gothic",
			Description = "Decoration. Can be used to light your home.",
			Resources = {
				IronIngots = 3,
			},
		},
		TableLantern = {
			MinLevelToCraft = 3,
			DisplayName = "Table Lantern",
			NeedRecipe = false,
			CraftingTemplateFile = "lantern_table",
			Description = "A small light source decoration.",
			Resources = {
				IronIngots = 1,
			},
		},
	},

	WoodsmithSkill = {
		BoardsFromWood = {
			MinLevelToCraft = 0,
			DisplayName = "Boards",
			CraftingTemplateFile = "resource_boards",
			Description = "Converts chopped wood to wood boards for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				Wood = 5,
			},
		},
		BlightwoodBoardsFromBlightwood = {
			MinLevelToCraft = 0,
			DisplayName = "Blightwood Boards",
			CraftingTemplateFile = "resource_blightwood_boards",
			Description = "Converts chopped blightwood to blightwood boards for further crafting.",
			ItemType = "ResourceClass",
			NeedRecipe = false,
			Resources = {
				BlightWood = 20,
			},
		},
		WizardStaff = {
			MinLevelToCraft = 6,
			DisplayName = "Wizard Staff",
			CraftingTemplateFile = "weapon_wizardstaff_base",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {Fabric = 3, Boards = 7},
				Stout = {Fabric = 15, Boards = 39},
				Sturdy = {SilkFabric = 12, BlightwoodBoards = 56},
			},
		},
		BedSmall = {
			MinLevelToCraft = 2,
			DisplayName = "Bed Small",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_bed_small",
			Description = "Furniture. Used to decorate your home. Can also be used to reset your spawn position.",
			ItemType = "FurnitureClass",
			Resources = {
				Fabric = 2,
				Boards = 2,
			},
		},
		BedLarge = {
			MinLevelToCraft = 8,
			DisplayName = "Bed Large",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_bed_large",
			Description = "Furniture. Used to decorate your home. Can also be used to reset your spawn position.",
			ItemType = "FurnitureClass",
			Resources = {
				SilkFabric = 2,
				BlightwoodBoards = 4,
			},
		},
		BedMedium = {
			MinLevelToCraft = 5,
			DisplayName = "Bed Medium",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_bed_medium",
			Description = "Furniture. Used to decorate your home. Can also be used to reset your spawn position.",
			ItemType = "FurnitureClass",
			Resources = {
				Fabric = 5,
				Boards = 8,
			},
		},
		BenchFancy = {
			MinLevelToCraft = 40,
			DisplayName = "Bench Fancy",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_bench_fancy",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			Resources = {
				IronIngots = 1,
				SilkFabric = 2,
				BlightwoodBoards = 2,
			},
		},
		BenchCeledor = {
			MinLevelToCraft = 10,
			DisplayName = "Celador Wooden Bench",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_bench_celedor",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			Resources = {
				Boards = 2,
				Stone = 30,
			},
		},
		BookshelfWooden = {
			MinLevelToCraft = 15,
			DisplayName = "Bookshelf Wooden",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_bookshelf_wooden",
			Description = "Furniture. A place to display your valuables.",
			Resources = {
				IronOre = 4,
				Boards = 2,
			},
		},
		BucketWooden = {
			MinLevelToCraft = 8,
			DisplayName = "Bucket Wooden",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_bucket_wooden",
			Description = "Furniture. Used to decorate your home.",
			Resources = {
				Boards = 1,
			},
		},
		Chair = {
			MinLevelToCraft = 25,
			DisplayName = "Chair",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_chair",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			Resources = {
				Fabric = 2,
				Boards = 1,
			},
		},
		ChairFancy = {
			MinLevelToCraft = 35,
			DisplayName = "Fancy Chair",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_chair_fancy",
			Resources = {
				SilkFabric = 1,
				BlightwoodBoards = 3,
			},
		},
		ChairWooden = {
			MinLevelToCraft = 0,
			DisplayName = "Wooden Chair",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_chair_wooden",
			Resources = {
				Boards = 2,
			},
		},
		ChandelierInn = {
			MinLevelToCraft = 25,
			DisplayName = "Chandelier",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_chandelier_inn",
			Description = "Furniture. Used to light your home.",
			Resources = {
				IronIngots = 2,
			},
		},
		DeskWooden = {
			MinLevelToCraft = 20,
			DisplayName = "Wooden Desk",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_desk_wooden",
			Resources = {
				IronOre = 5,
				Boards = 2,
			},
		},
		DrawerWooden = {
			MinLevelToCraft = 12,
			DisplayName = "Drawer Wooden",
			ItemType = "FurnitureClass",
			Description = "Furniture. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_drawer_wooden",
			Resources = {
				IronIngots = 1,
				Boards = 3,
			},
		},
		
		DeskFancy = {
			MinLevelToCraft = 36,
			DisplayName = "Fancy Desk",
			ItemType = "FurnitureClass",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_desk_fancy",
			Resources = {
				IronIngots = 1,
				BlightwoodBoards = 2,
			},
		},
		FireplaceStone = {
			MinLevelToCraft = 32,
			DisplayName = "Fireplace Stone",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_fireplace_stone",
			Resources = {
				Boards = 2,
				Stone = 450,
			},
		},
		LuggageWoodenCrate = {
			MinLevelToCraft = 15,
			DisplayName = "Luggage Wooden",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_luggage_wooden_1",
			Resources = {
				IronIngots = 1,
				Boards = 1,
			},
		},
		LuggageWoodenBox = {
			MinLevelToCraft = 20,
			DisplayName = "Luggage Box",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_luggage_wooden_2",
			Resources = {
				IronIngots = 1,
				Boards = 2,
			},
		},
		LuggageWoodenChest = {
			MinLevelToCraft = 30,
			DisplayName = "Luggage Wooden Chest",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_luggage_wooden_3",
			Resources = {
				IronIngots = 1,
				BlightwoodBoards = 1,
			},
		},
		TableBlacksmith = {
			MinLevelToCraft = 8,
			DisplayName = "Table Blacksmith",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_blacksmith",
			Resources = {
				IronIngots = 2,
				Boards = 2,
			},
		},
		TableWooden = {
			MinLevelToCraft = 8,
			DisplayName = "Table Wooden",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_wooden",
			Resources = {
				IronIngots = 1,
				Boards = 3,
			},
		},
		TableWoodenLarge = {
			MinLevelToCraft = 30,
			DisplayName = "Table Wooden Large",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_wooden_large",
			Resources = {
				IronIngots = 1,
				BlightwoodBoards = 4,
			},
		},
		TableWoodenPlank = {
			MinLevelToCraft = 18,
			DisplayName = "Table Wooden Plank",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_wooden_plank",
			Resources = {
				Boards = 3,
				Stone = 15,
			},
		},
		TableCultist = {
			MinLevelToCraft = 25,
			DisplayName = "Cultist Table",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_cultist",
			Resources = {
				Boards = 3,
			},
		},
		TableMining = {
			MinLevelToCraft = 35,
			DisplayName = "Mining Table",
			Description = "Furniture. Used to decorate your home. Can place objects on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_cultist",
			Resources = {
				IronIngots = 3,
				TannedLeather = 2,
				Boards = 2,
			},
		},
		WeaponRack = {
			MinLevelToCraft = 25,
			DisplayName = "Weapon Rack",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_weapon_rack",
			Resources = {
				IronIngots = 3,
			},
		},
		Shelf = {
			MinLevelToCraft = 2,
			DisplayName = "Shelf",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_shelf",
			Resources = {
				Boards = 1,
			},
		},
		StoolInn = {
			MinLevelToCraft = 14,
			DisplayName = "Inn Stool",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_stool_inn",
			Resources = {
				Boards = 2,
			},
		},
		StoolWooden = {
			MinLevelToCraft = 20,
			DisplayName = "Wooden Stool",
			Description = "Furniture. Used to decorate your home. Can sit down on.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_stool_wooden",
			Resources = {
				Boards = 3,
			},
		},
		ArenaDummy = {
			MinLevelToCraft = 30,
			DisplayName = "Arena Dummy",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "arena_dummy",
			Resources = {
				IronIngots = 1,
				TannedLeather = 3,
				Boards = 2,
			},
		},
		Barrel = {
			MinLevelToCraft = 4,
			DisplayName = "Barrel",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "barrel",
			Resources = {
				Boards = 1,
			},
		},
		BarrelHolder = {
			MinLevelToCraft = 7,
			DisplayName = "Barrel Holder",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "barrel_holder",
			Resources = {
				Boards = 2,
			},
		},
		Campfire = {
			MinLevelToCraft = 4,
			DisplayName = "Campfire",
			Description = "Furniture. Used to decorate your home. Helps you recover.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "campfire",
			Resources = {
				Wood = 6,
				Stone = 10,
			},
		},
		CampfireLarge = {
			MinLevelToCraft = 15,
			DisplayName = "Campfire Large",
			Description = "Furniture. Used to decorate your home. Helps you recover.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "campfire_large",
			Resources = {
				Boards = 1,
				Stone = 15		
			},
		},
		CeledorFountain = {
			MinLevelToCraft = 46,
			DisplayName = "Celedor Fountain",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "fountain",
			Resources = {
				Stone = 850,
			},
		},
		Coffin01 = {
			MinLevelToCraft = 32,
			DisplayName = "Coffin 01",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin01",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin02 = {
			MinLevelToCraft = 32,
			DisplayName = "Coffin 02",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin02",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin03 = {
			MinLevelToCraft = 28,
			DisplayName = "Coffin 03",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin03",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin04 = {
			MinLevelToCraft = 35,
			DisplayName = "Coffin 04",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin04",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin05 = {
			MinLevelToCraft = 28,
			DisplayName = "Coffin 05",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin05",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin06 = {
			MinLevelToCraft = 32,
			DisplayName = "Coffin 06",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin06",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin07 = {
			MinLevelToCraft = 32,
			DisplayName = "Coffin 07",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin07",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		
		Coffin08 = {
			MinLevelToCraft = 32,
			DisplayName = "Coffin 08",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin08",
			Resources = {
				Fabric = 3,
				Stone = 80,
			},
		},
		Coffin09 = {
			MinLevelToCraft = 35,
			DisplayName = "Coffin 09",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "coffin09",
			Resources = {
				Fabric = 2,
				Stone = 60,
			},
		},
		Crate = {
			MinLevelToCraft = 4,
			DisplayName = "Crate",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = false,
			CraftingTemplateFile = "crate_empty",
			Resources = {
				Boards = 1,
			},
		},
		CultistCampfire = {
			MinLevelToCraft = 25,
			DisplayName = "Cultist Campfire",
			Description = "Decoration. Used to decorate your home. Helps you recover.",
			NeedRecipe = true,
			CraftingTemplateFile = "campfire_cultist",
			Resources = {
				TannedLeather = 3,
				Boards = 2,
			},
		},
		CultistCampfire02 = {
			MinLevelToCraft = 20,
			DisplayName = "Cultist Camfire 02",
			Description = "Decoration. Used to decorate your home. Helps you recover.",
			NeedRecipe = true,
			CraftingTemplateFile = "campfire_cultist2",
			Resources = {
				Boards = 3,
			},
		},
		Dresser = {
			MinLevelToCraft = 6,
			DisplayName = "Dresser",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_dresser",
			Resources = {
				Boards = 5,
			},
		},
		InnBarrel = {
			MinLevelToCraft = 8,
			DisplayName = "Inn Barrel",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "barrel_inn",
			Resources = {
				Boards = 1,
			},
		},
		InnTable = {
			MinLevelToCraft = 10,
			DisplayName = "Inn Table",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "furniture_table_inn",
			Resources = {
				Boards = 5,
			},
		},
		MineCrateLarge = {
			MinLevelToCraft = 12,
			DisplayName = "Large Mine Crate",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "crate_mine_large",
			Resources = {
				Boards = 9,
			},
		},
		MineFence03 = {
			MinLevelToCraft = 16,
			DisplayName = "Mine Fence",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "fence_mine",
			Resources = {
				IronIngots = 1,
				Boards = 2,
			},
		},
		MiningCanopy = {
			MinLevelToCraft = 46,
			DisplayName = "Mining Canopy",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "canopy_mining",
			Resources = {
				IronIngots = 2,
				Fabric = 6,
				Boards = 20,
			},
		},
		RuinsPillar = {
			MinLevelToCraft = 16,
			DisplayName = "Ruins Pillar",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "pillar_ruins",
			Resources = {
				Stone = 90,
			},
		},
		RuinsSinglePillar = {
			MinLevelToCraft = 16,
			DisplayName = "Single Ruins Pillar",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "pillar_single_ruins",
			Resources = {
				Stone = 90,
			},
		},
		SmallFence = {
			MinLevelToCraft = 6,
			DisplayName = "Small Fence",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = false,
			CraftingTemplateFile = "fence_small",
			Resources = {
				Boards = 2,
			},
		},
		SingleSmallFence = {
			MinLevelToCraft = 4,
			DisplayName = "Single Small Fence",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = false,
			CraftingTemplateFile = "fence_small_single",
			Resources = {
				Boards = 1,
			},
		},
		Chest = {
			MinLevelToCraft = 5,
			DisplayName = "Chest",
			Description = "A place to store your valuables. Can be locked to keep away intruders.",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "treasurechest_keyed",
			Resources = {
				IronIngots = 1,
				Fabric = 2,
				Boards = 2,
			},
		},
		Well = {
			MinLevelToCraft = 30,
			DisplayName = "Well",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "well",
			Resources = {
				IronIngots = 1,
				BlightwoodBoards = 10,
				Stone = 250,
			},
		},
		WineBarrel = {
			MinLevelToCraft = 26,
			DisplayName = "Wine Barrel",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "barrel_wine",
			Resources = {
				Boards = 1,
			},
		},
		WoodsmithTable = {
			MinLevelToCraft = 12,
			DisplayName = "Woodsmith Table",
			Description = "Pracktice your skills in fabrication and create items made of wood.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "workbench_woodsmith_table",
			Resources = {
				Boards = 6,
			},
		},
		Loom = {
			MinLevelToCraft = 12,
			DisplayName = "Loom",
			Description = "Pracktice your skills in fabrication and create items made of fabric.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "workbench_fabrication_table",
			Resources = {
				Boards = 4,
			},
		},
		AlchemyTable = {
			MinLevelToCraft = 12,
			DisplayName = "Alchemy Table",
			Description = "Pracktice your skills in alchemy and craft potions.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "workbench_alchemy",
			Resources = {
				Boards = 4,
			},
		},
		Mug = {
			MinLevelToCraft = 5,
			DisplayName = "Mug",
			Description = "A cup used for drinking.",
			NeedRecipe = false,
			CraftingTemplateFile = "mug",
			Resources = {
				Wood = 3,
			},
		},
		WoodenBowl = {
			MinLevelToCraft = 5,
			DisplayName = "Wooden Bowl",
			Description = "A small wooden bowl",
			NeedRecipe = false,
			CraftingTemplateFile = "item_bowl",
			Resources = {
				Wood = 3,
			},
		},
		Torch = {
			MinLevelToCraft = 0,
			DisplayName = "Torch",
			Description = "A small light source",
			NeedRecipe = false,
			CraftingTemplateFile = "torch",
			Resources = {
				Wood = 5,
			},
		},		
	},

	FabricationSkill = {
		BoltOfFabricFromClothScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Bolt of Fabric",
			Description = "Converts cloth scraps into bolts of fabric to be used for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_bolt_of_fabric",
			ItemType = "ArmorClass",
			Resources = {
				ClothScraps = 15,
			},
		},

		BoltOfFabricFromCotton = {
			MinLevelToCraft = 0,
			DisplayName = "Bolt of Fabric",
			Description = "Converts cotton into bolts of fabric to be used for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_bolt_of_fabric",
			ItemType = "ArmorClass",
			Resources = {
				Cotton = 5,
			},
		},

		SilkFabricFromSpiderSilk = {
			MinLevelToCraft = 0,
			DisplayName = "Silk Fabric",
			Description = "Converts spider skilk into silk fabric to be used for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_silk_fabric",
			ItemType = "ArmorClass",
			Resources = {
				SpiderSilk = 5,
			},
		},

		SilkFabricFromSilkScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Silk Fabric",
			Description = "Converts skilk scraps into silk fabric to be used for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_silk_fabric",
			ItemType = "ArmorClass",
			Resources = {
				SilkScraps = 10,
			},
		},

		TannedLeatherFromLeatherScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Tanned Leather",
			Description = "Converts leather scraps into tanned leather to use for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_leather_tanned",
			ItemType = "ArmorClass",
			Resources = {
				LeatherScraps = 9,
			},
		},

		TannedLeatherFromLeatherHide = {
			MinLevelToCraft = 0,
			DisplayName = "Tanned Leather",
			Description = "Converts leather hide into tanned leather to use for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_leather_tanned",
			ItemType = "ArmorClass",
			Resources = {
				LeatherHide = 3,
			},
		},

		GildedLeatherFromBruteLeatherHide = {
			MinLevelToCraft = 0,
			DisplayName = "Gilded Leather",
			Description = "Converts brute leather hide into gilded leather to use for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_gilded_leather",
			ItemType = "ArmorClass",
			Resources = {
				BruteLeatherHide = 6,
			},
		},

		GildedLeatherFromBruteLeatherScraps = {
			MinLevelToCraft = 0,
			DisplayName = "Gilded Leather",
			Description = "Converts brute leather scraps into gilded leather to use for crafting.",
			NeedRecipe = false,
			CraftingTemplateFile = "resource_gilded_leather",
			ItemType = "ArmorClass",
			Resources = {
				BruteLeatherScraps = 20,
			},
		},

		CultistChest = {
			MinLevelToCraft = 10,
			DisplayName = "Cultist Chest Piece",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "cultist_chest_base",
			ItemType = "ArmorClass",
			Resources = {	
				Flimsy = {TannedLeather = 1},
				Stout = {GildedLeather = 2},
			},
		},

		CultistLegs = {
			MinLevelToCraft = 10,
			DisplayName = "Cultist Legs",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "cultist_legs_base",
			ItemType = "ArmorClass",
			Resources = {	
				Flimsy = {TannedLeather = 1},
				Stout = {GildedLeather = 2},
			},
		},

		ShortSleeveShirt = {
			MinLevelToCraft = 0,
			DisplayName = "Short Sleeve Shirt",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_short_sleeve_shirt_chest",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		LongSleeveShirt = {
			MinLevelToCraft = 0,
			DisplayName = "Long Sleeve Shirt",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_long_sleeve_shirt_chest",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		Shorts = {
			MinLevelToCraft = 0,
			DisplayName = "Shorts",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_shorts_legs",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		Skirts = {
			MinLevelToCraft = 12,
			DisplayName = "Skirt",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_skirt_legs",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		LongRobes = {
			MinLevelToCraft = 10,
			DisplayName = "Long Robes",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_long_robes",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 2,
			},
		},

		Apron = {
			MinLevelToCraft = 6,
			DisplayName = "Apron",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_apron_chest",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		TatteredLegs = {
			MinLevelToCraft = 0,
			DisplayName = "Tattered Legs",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_tattered_legs",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		TatteredShirt = {
			MinLevelToCraft = 8,
			DisplayName = "Tattered Shirt",
			NeedRecipe = false,
			CanImprove = false,
			CraftingTemplateFile = "clothing_tattered_shirt_chest",
			ItemType = "ArmorClass",
			Resources = {	
				Fabric = 1,
			},
		},

		LeatherHelm = {
			MinLevelToCraft = 5,
			DisplayName = "Leather Helm",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "leather_helm_base",
			ItemType = "ArmorClass",
			Resources = {
				Flimsy = {TannedLeather = 7},
				Stout = {TannedLeather = 39},
				Sturdy = {GildedLeather = 14},
			},
		},
		
		LeatherLeggings = {
			MinLevelToCraft = 10,
			DisplayName = "Leather Leggings",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "leather_legs_base",
			ItemType = "ArmorClass",
			Resources = {
				Flimsy = {TannedLeather = 9},
				Stout = {TannedLeather = 46},
				Sturdy = {GildedLeather = 25},
			},
		},
		
		LeatherChest = {
			MinLevelToCraft = 15,
			DisplayName = "Leather Chest",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "leather_chest_base",
			ItemType = "ArmorClass",
			Resources = {
				Flimsy = {TannedLeather = 10},
				Stout = {TannedLeather = 54},
				Sturdy = {GildedLeather = 29},
			},
		},

		PaddedHelm = {
			MinLevelToCraft = 5,
			DisplayName = "Padded Helm",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "padded_helm_base",
			ItemType = "ArmorClass",
			Resources = {	
				Flimsy = {Fabric = 9},
				Stout = {Fabric = 46},
				Sturdy = {SilkFabric = 29, CobaltIngots = 6},
			},
		},

		PaddedChest = {
			MinLevelToCraft = 10,
			DisplayName = "Padded Chest",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "padded_chest_base",
			ItemType = "ArmorClass",
			Resources = {	
				Flimsy = {Fabric = 12},
				Stout = {Fabric = 62},
				Sturdy = {SilkFabric = 36, CobaltIngots = 6},
			},
		},

		PaddedLeggings = {
			MinLevelToCraft = 10,
			DisplayName = "Padded Leggings",
			NeedRecipe = true,
			CanImprove = true,
			CraftingTemplateFile = "padded_legs_base",
			ItemType = "ArmorClass",
			Resources = {
				Flimsy = {Fabric = 10},
				Stout = {Fabric = 54},
				Sturdy = {SilkFabric = 32, CobaltIngots = 6},
			},
		},
		
		BedRoll = {
			MinLevelToCraft = 0,
			DisplayName = "Bed Roll",
			NeedRecipe = false,
			ItemType = "FurnitureClass",
			Description = "Furniture. Used to decorate your home. Can also be used to reset your spawn position.",
			CraftingTemplateFile = "furniture_bed_roll",
			Resources = {
				Fabric = 2,
			},
		},	
		LuggageLeather = {
			MinLevelToCraft = 8,
			DisplayName = "Luggage Leather",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "ContainerClass",
			CraftingTemplateFile = "furniture_luggage_leather",
			Resources = {
				GildedLeather = 3,
			},
		},
		CarpetCloth = {
			MinLevelToCraft = 4,
			DisplayName = "Carpet Cloth",
			NeedRecipe = false,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_carpet_cloth",
			Resources = {
				Fabric = 2,
			},
		},
		
		CarpetBlue = {
			MinLevelToCraft = 16,
			DisplayName = "Carpet Blue",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_carpet_blue",
			Resources = {
				Fabric = 3,
			},
		},
		Painting1 = {
			MinLevelToCraft = 24,
			DisplayName = "Painting 1",
			NeedRecipe = false,
			Description = "Painting. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_painting1",
			Resources = {
				Fabric = 8,
				BlightwoodBoards = 2,
			},
		},
		Painting2 = {
			MinLevelToCraft = 24,
			DisplayName = "Painting 2",
			NeedRecipe = true,
			Description = "Painting. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_painting2",
			Resources = {
				Fabric = 5,
				BlightwoodBoards = 2,
			},
		},
		Painting3 = {
			MinLevelToCraft = 30,
			DisplayName = "Painting 3",
			NeedRecipe = true,
			Description = "Painting. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_painting3",
			Resources = {
				Fabric = 5,
				BlightwoodBoards = 3,
			},
		},
		Painting4 = {
			MinLevelToCraft = 30,
			DisplayName = "Painting 4",
			NeedRecipe = true,
			Description = "Painting. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_painting4",
			Resources = {
				Fabric = 8,
				BlightwoodBoards = 3,
			},
		},
		Painting5 = {
			MinLevelToCraft = 34,
			DisplayName = "Painting 5",
			NeedRecipe = true,
			Description = "Painting. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_painting5",
			Resources = {
				Fabric = 5,
				BlightwoodBoards = 3,
			},
		},
		PanelDivider = {
			MinLevelToCraft = 22,
			DisplayName = "Panel Divider",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_panel_divider",
			Resources = {
				Fabric = 4,
				Boards = 4,
			},
		},
		CurtainDivider = {
			MinLevelToCraft = 12,
			DisplayName = "Curtain Divider",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_curtain_divider",
			Description = "Furniture. Used to decorate your home.",
			Resources = {
				SilkFabric = 3,
			},
		},
		CurtainDividerStraight = {
			MinLevelToCraft = 10,
			DisplayName = "Stright Curtain Divivder",
			ItemType = "FurnitureClass",
			NeedRecipe = false,
			CraftingTemplateFile = "furniture_curtain_divider_straight",
			Description = "Furniture. Used to decorate your home.",
			Resources = {
				SilkFabric = 3,
			},
		},
		RugCircle = {
			MinLevelToCraft = 16,
			DisplayName = "Circle Rug",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_rug_circle",
			Resources = {
				Fabric = 6,
			},
		},
		RugOrnateBlue = {
			MinLevelToCraft = 40,
			DisplayName = "Blue Ornate Rug",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_rug_ornate_blue",
			Resources = {
				SilkFabric = 6,
			},
		},
		RugOrnateRed = {
			MinLevelToCraft = 44,
			DisplayName = "Red Ornate Rug",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_rug_ornate_red",
			Resources = {
				SilkFabric = 6,
			},
		},
		RugSquare = {
			MinLevelToCraft = 28,
			DisplayName = "Square Rug",
			NeedRecipe = true,
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			CraftingTemplateFile = "furniture_rug_square",
			Resources = {
				Fabric = 6,
			},
		},
		ArenaFlag = {
			MinLevelToCraft = 22,
			DisplayName = "Arena Flag",
			NeedRecipe = true,
			Description = "Decoration. Used to decorate your home.",
			CraftingTemplateFile = "flag_arena",
			Resources = {
				IronIngots = 1,
				Fabric = 2,
				Boards = 1,
			},
		},
		ClotheslineLarge = {
			MinLevelToCraft = 8,
			DisplayName = "Large Clothesline",
			NeedRecipe = true,
			Description = "Decoration. Used to decorate your home.",
			CraftingTemplateFile = "clothesline_large",
			Resources = {
				Fabric = 2,
			},
		},
		ClotheslineSmall = {
			MinLevelToCraft = 6,
			DisplayName = "Large Clothesline",
			NeedRecipe = true,
			Description = "Decoration. Used to decorate your home.",
			CraftingTemplateFile = "clothesline_small",
			Resources = {
				Fabric = 1,
			},
		},
		CultistFlagPole = {
			MinLevelToCraft = 30,
			DisplayName = "Cultist Flag",
			NeedRecipe = true,
			Description = "Decoration. Used to decorate your home.",
			CraftingTemplateFile = "flag_cultist",
			Resources = {
				Fabric = 3,
				Boards = 2,
			},
		},
		MineCrateCloth = {
			MinLevelToCraft = 15,
			DisplayName = "Large Mine Crate with Cloth",
			Description = "Furniture. Used to decorate your home.",
			ItemType = "FurnitureClass",
			NeedRecipe = true,
			CraftingTemplateFile = "crate_mine_cloth_large",
			Resources = {
				Fabric = 3,
				Boards = 9,
			},
		},
		TentBlueLarge = {
			MinLevelToCraft = 32,
			DisplayName = "Large Blue Tent",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "tent_blue_large",
			Resources = {
				SilkFabric = 8,
				Boards = 3,
			},
		},
		TentRedLarge = {
			MinLevelToCraft = 32,
			DisplayName = "Large Red Tent",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "tent_red_large",
			Resources = {
				SilkFabric = 8,
				Boards = 3,
			},
		},
		TentDomeSmall = {
			MinLevelToCraft = 32,
			DisplayName = "Small Dome Tent",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "tent_dome_small",
			Resources = {
				Fabric = 21,
				Boards = 3,
			},
		},
		TentWoodSmall = {
			MinLevelToCraft = 28,
			DisplayName = "Small Wood Tent",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "tent_wood_small",
			Resources = {
				Fabric = 16,
				Boards = 3,
			},
		},
		WaterFlag = {
			MinLevelToCraft = 42,
			DisplayName = "Water Serpent Flag",
			Description = "Decoration. Used to decorate your home.",
			NeedRecipe = true,
			CraftingTemplateFile = "flag_water",
			Resources = {
				SilkFabric = 3,
				Boards = 2,
			},
		},
	},

AlchemySkill = {
		PortalKey = {
			MinLevelToCraft = 0,
			DisplayName = "Portal Key",
			CraftingTemplateFile = "portal_key",
			Description = "A magical item that allows you to cross dimensions...",
			Resources = {
				Crystal = 5,
				Essence = 1,
				}
			},
		HealthPotion = {
			MinLevelToCraft = 0,
			DisplayName = "Health Potion",
			NeedRecipe = true,
			Description = "A potion that restores life over a period of 8 seconds. ",
			CraftingTemplateFile = "potion_health",
			Resources = {
				Essence = 6,
			},
		},
		ManaPotion = {
			MinLevelToCraft = 0,
			DisplayName = "Mana Potion",
			NeedRecipe = true,
			CraftingTemplateFile = "potion_mana",
			Description = "A potion that restores mana over a period of 8 seconds. ",
			Resources = {
				Essence = 6,
			},
		},
		StaminaPotion = {
			MinLevelToCraft = 0,
			NeedRecipe = true,
			DisplayName = "Stamina Potion",
			Description = "A potion that restores stamina over a period of 8 seconds. ",
			CraftingTemplateFile = "potion_stamina",
			Resources = {
				Essence = 6,
			},
		},
	},

ManifestationSkill = {
		SacrificalDagger = {
			MinLevelToCraft = 0,
			DisplayName = "Sacrifical Dagger",
			NeedRecipe = true,
			Description = "Dagger used by cultists to sacrifice to the Elder Gods.",
			CraftingTemplateFile = "weapon_dagger_sacrificial",
			Resources = {
				Flimsy = {Fabric = 2, IronIngots = 6},
			},
		},
		WizardStaff = {
			MinLevelToCraft = 6,
			DisplayName = "Magic Staff",
			CraftingTemplateFile = "weapon_staff_base",
			Description = "Ranged weapon. Provides spell bonuses.",
			ItemType = "WeaponClass",
			CanImprove = true,
			NeedRecipe = true,
			Resources = {
				Flimsy = {Fabric = 2, Boards = 6},
				Stout = {Fabric = 10, Boards = 29},
				Sturdy = {SilkFabric = 10, BlightwoodBoards = 45},
			},
		},
		HolyWater = {
			MinLevelToCraft = 0,
			DisplayName = "Holy Water",
			NeedRecipe = true,
			Description = "Water blessed by divine forces. ",
			CraftingTemplateFile = "holy_water",
			Resources = {
				Essence = 2,
			},
		},
	}
}
