-- Action system

-- Perform action
function PerformActions(actions, target)
	if actions == nil then return end

	-- Function actions!
	if type(actions) == "function" then
		actions(target)
	end

	local first = actions[1]
	if type(first) == "string" then
		local func = AllActions[first]
		if func ~= nil then
			local data = actions[2]
			if type(data) == "table" then
				func(target, table.unpack(data))
			else
				func(target, data)
			end
		else
			DebugMessage("Warning, no action function found!")
			LuaDebugCallStack()
		end
	end

	for i,action in pairs(actions) do
		local func = AllActions[action[1]]
		if func ~= nil then
			local data = action[2]
			if type(data) == "table" then
				func(target, table.unpack(data))
			else
				func(target, data)
			end
		else
			DebugMessage("Warning, no action function found!")
			LuaDebugCallStack()
		end
	end
end

AllActions = {
	StartQuest = function (target, ...)
		target:SendMessage("StartQuest", ...)
	end,

	AdvanceQuest = function (target, ...)
		target:SendMessage("AdvanceQuest", ...)
	end,

	SetActiveQuest = function (target, ...)
		target:SendMessage("SetActiveQuest", ...)
	end,

	RefreshQuestUI = function (target, ...)
		target:SendMessage("RefreshQuestUI")
	end,

	UpdateQuestUI = function (target, ...)
		target:SendMessage("UpdateQuestUI", ...)
	end,

	FailQuest = function (target, ...)
		target:SendMessage("FailQuest", ...)
	end,

	FinishQuest = function (target, ...)
		target:SendMessage("FinishQuest", ...)
	end,

	GiveItem = function (target, ...)
		local backpack = target:GetEquippedObject("Backpack") or target
		CreateObjInContainer(..., backpack, GetRandomDropPosition(backpack), "action_give_item")
	end,

	AddModule = function (target, ...)
		target:AddModule(...)
	end,

	SetObjVar = function (target, ...)
		target:SetObjVar(...)
	end,

	UnlockFolio = function (target, ...)
		target:SendMessage("UnlockFolio", ...)
	end,

	LockFolio = function (target, ...)
		target:SendMessage("LockFolio", ...)
	end,

	MarkFolioEntryRead = function (target, ...)
		target:SendMessage("MarkFolioEntryRead", ...)
	end,

	MarkFolioEntryUnread = function (target, ...)
		target:SendMessage("MarkFolioEntryUnread", ...)
	end,

	
}