-- Path editor for admins (by bensku)

-- Data folder, needs to be specified manually
MAP_DATA_FOLDER = "mods\\arcanima\\mapdata\\Celador\\"
PATH_CATEGORY = "ac_paths"

pathSteps = {}

function NewPathCommand()
	pathSteps = {}
	this:RequestClientTargetLoc(this, "EditPath")
end

function SavePathCommand(name)
	local data = xml.load(MAP_DATA_FOLDER.."WorldData.xml")

	local xmlPath = {[0] = "PathDefinition",
		{[0] = "Category", PATH_CATEGORY},
		{[0] = "PathName", name},
		{[0] = "VisualColor", r = "255", b = "255", g = "255"}
	}
	for i,loc in ipairs(pathSteps) do
		table.insert(xmlPath, {[0] = "PathNode", nodeName = i, loc:ToString()}) -- Check if strange stuff by ToString actually works...
	end
	data[#data+1] = xmlPath

	data:save(MAP_DATA_FOLDER.."WorldData.xml")
end

function EditPathTargeter(success, loc)
	if not success then return end

	this:RequestClientTargetLoc(this, "EditPath")
	pathSteps[#pathSteps+1] = loc
end

RegisterCommand{ Command="newpath", AccessLevel = AccessLevel.God, Func=NewPathCommand, Usage="/newpath", Desc="Starts creation of new path." }
RegisterCommand{ Command="savepath", AccessLevel = AccessLevel.God, Func=SavePathCommand, Usage="/savepath <name>", Desc="Saves created path with given name." }
RegisterEventHandler(EventType.ClientTargetLocResponse, "EditPath", EditPathTargeter)