-- Status effect system commands

require "incl_effect_presets"
require "incl_effect_utils"

newEffect = {}
effectDuration = nil

function AddEffectTargeter(target)
	local effect = GetEffectPreset(newEffect) -- Get effect from presets
	--DebugMessage("effect type is "..type(effect))
	if effectDuration ~= nil then effect.duration = effectDuration end -- Duration override if user has provided it in command
	--DebugMessage("target is "..tostring(target))
	InflictEffect(target, effect) -- Use helper function to inflict the effect
end

function AddEffectCommand(effectName, duration)
	newEffect = effectName
	effectDuration = tonumber(duration)
	this:RequestClientTargetGameObj(this,"AddEffect")
	--this:SendMessage("AddEffectCommand called")
end

RegisterCommand{ Command="addeffect", AccessLevel = AccessLevel.God, Func=AddEffectCommand, Usage="/addeffect <id> <duration>", Desc="Applies status effect."}
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "AddEffect", AddEffectTargeter)

removeCount = nil

function RemoveEffectTargeter(target)
	local cureTable = {} -- Create empty table
	cureTable[newEffect] = true -- Set key with effect's name to true
	target:SendMessage("AddCureProcess",  {cureTable, removeCount}) -- Send cure process message to target
end

function RemoveEffectCommand(effectName, removeCount)
	newEffect = effectName
	removeCount = tonumber(removeCount) or -1
	this:RequestClientTargetGameObj(this,"RemoveEffect")
	--this:SendMessage("AddEffectCommand called")
end

RegisterCommand{ Command="rmeffect", AccessLevel = AccessLevel.God, Func=RemoveEffectCommand, Usage="/rmeffect <id> <count>", Desc="Removes status effect(s)."}
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "RemoveEffect", RemoveEffectTargeter)