DefaultCommandFuncs.SetTime = 
	function(newTime)
		DebugMessage("SetTime: Overriding Time")
		local timeController = GetTimeController()
		if( timeController == nil ) then return end
		DebugMessage("SetTime: Time Controller is nil")
		if( newTime == nil or not timeController:IsValid() ) then 
			DebugMessage("[SetTime] ERROR: NEW TIME IS NIL")
			return 
		end

		local colonLoc = newTime:find(":")

		if(colonLoc ~= nil ) then
			--DebugMessage("Sending time update message")
			local hours = newTime:sub(1,colonLoc-1)
			local minutes = newTime:sub(colonLoc+1,#newTime)
			

			local cronObj = FindObject(SearchModule("cron"))
			if (cronObj==nil) then
					DebugMessage("SetTime Command: No Cron Object found to rebuild")
				else
					DebugMessage("SetTime: Cron object found at: "..cronObj.Id)
					cronObj:FireTimer("Midnight","/SetTime scriptcommand")
			end
			

			timeController:SendMessage("SetTime",{hours,minutes})

		end
end

RegisterCommand{ Command="settime", AccessLevel = AccessLevel.DemiGod, Func=DefaultCommandFuncs.SetTime, Usage="<newtime>", Desc="Sets the current game time (24 hour format)" }
