-- Werewolf script
-- The goal of this little test is to convert the human NPC into a werewolf at a given time and back when that time is over
-- This is achieved by 
-- 1. Destroying the human and dropping his belongings to the ground
-- 2. Spawning a large fierce (Were)Wolf at the location
-- 3. Once time is up the wolf turns back into a human or if it gets hit with a silver weapon.
-- Optional:
-- 4. Once turned back into a human the naked human returns to find his backpack
-- SETTINGS
SHIFTTIME={23,0}  --Time of day (hours, minutes) when to shift into a wolf (will become an oject variable later)
REVERSETIME={5,00} --Time of day when to shift back into human form (will become an oject variable later)
--chance of one out of CURSERISK to catch the curse when buit by a Werewolf
CURSERISK=30
-- 
-- Events needed:
-- Event to fire at shifttime
-- Event to fire at reverse time
-- Event to fire once hit with a silver weapon

-- Functions:
-- shift(human) -- Turn to Wolf
-- shift(wolf) -- Turn to Human
-- liftcurse -- change back into human form and detach the shifter behavior and destroy the shifttable 

-- Object Variables needed (Curse Data):
-- Shift Table:
	-- Wolf Type
	-- Shift Time
	-- Reverse Time
	-- Conditions to shift
	-- Conditions to reverse
	-- Conditions to lift curse
	-- Table wich holds the humans object variables, behaviors and look after the shifting
-- PSEUDOCODE:
-- Intitalization: 
	-- 1. Create a shift table which holds the data for the shifted form
	-- 2. Initialize the shifting system (shift times, reversal conditions and stuff) 
-- Once the shift event fires: 
	-- 1. Cloak the Human and stop its AI, play an effect
	-- 2. Spawn the Shifted Form and attach the Shifter Behavior
	-- 3. Set the Object variables on the Shifted Form
	-- 4. Save the Object Variables of the Human Form in the Shifted Form shift table for reversing later
	-- Optional: Save the Inventory of the Human Form on the Shifted Form
	-- Activate the Shifted form AI
	-- Destroy the Human form
-- once the lift curse event fires

local cronObj = FindObject(SearchModule("cron"))


function GetEaten()
	--ServerBroadcast("Npc: Received GetEaten"..tostring(this),true)
	local playercage
	playercage=this:GetObjVar("WereObj"):GetEquippedObject("Backpack")
	--ServerBroadcast("playercage is"..tostring(playercage),true)
	
	-- Heal 
	this:SetCurHealth(this:GetMaxHealth())
	--Moveto Werwolves Object Container
	this:MoveToContainer(playercage,Loc(0,0,0))
end


function CreateWolf( success, WereObj, CallBackData )
	if success then
		--ServerBroadcast("Create Werewolf SUCCESS"..tostring(this),true)
		this:SetObjVar("WereObj",WereObj)
		WereObj:SetObjVar("Humie",this) -- give the werebeast a reference to the human object
		WereObj:SetObjVar("IsWerebeast",true) -- give the werebeast a reference to the human object
	else
		--ServerBroadcast("Create Werewolf FAILURE"..tostring(this),true)
		this:SetObjVar("WereObj",nil)
	end
end


function HandleShift(args)
	local player=this
	--ServerBroadcast("ENTER HandleShift"..tostring(this),true)

	this:PlayEffect("CloakEffect",5.0)
	this:PlayObjectSound("WerewolfRoar")

	-- create werewolf. This also moves the player into the wolf, 
	-- once the backpack on the wolf is ready
	CreateObj("WereWolf", this:GetLoc(), "WereWolfShifted", {"dummyData"})
end

function HandleReverse(args)
	WereObj=this:GetObjVar("WereObj")
	if (WereObj~=nil) then
		WereObj:PlayEffect("CloakEffect",5.0)
		-- Get backpack
		local playercage=WereObj:GetEquippedObject("Backpack")
		-- whats in the playercage on the WereObject
		local contObjects = playercage:GetContainedObjects()
		-- Get Drop Location
	    local myLoc = WereObj:GetLoc()
	    --ServerBroadcast("GetLoc "..tostring(myLoc), true)
	    -- empty playercage
	     for i,v in pairs(contObjects) do
	       	contObjects[i]:SetWorldPosition(myLoc)
			end
		--Finally destroy Werewolf
		WereObj:Destroy()
	else 
		--ServerBroadcast("ENTER HandleReverse: WereObject is NIL"..tostring(this),true)
	end
	-- remove ObjVar
	this:DelObjVar("WereObj")
end

function HandleTransmission(args)
	-- check if this is a valid curse target: Humies only ..... MUHUHAHAHAHA ....
		local myTags=this:GetObjectTags()
		local isHuman=false

		for _,t in ipairs(myTags) do
  			if tostring(t) == "Human" then isHuman = true end
		end
		if (not isHuman) then	
			this:DelModule("werebeast") 
			return 
		end 

	this:NpcSpeech("Owwww - I think I caught something. I need to find me some raw meat <drools ... > ")
	this:PlayEffect("LightningEffect",5.0)
	this:PlayEffect("CriticalHitEffect",5.0)

	this:SetObjVar("IsWerebeast",true)
	-- this:PlayEffect("BuffEffectA")
	-- subscribe shift timer (1440min=24h)
	cronObj:SendMessage("CronSubscribe", {Id=this.Id, Interval=24*60, StartTime={1, 1, 1, SHIFTTIME[1], SHIFTTIME[2]},   Name="shift",   Data = "Shift"})
	-- subscribe revert timer
	cronObj:SendMessage("CronSubscribe", {Id=this.Id, Interval=24*60, StartTime={1, 1, 1,  REVERSETIME[1], REVERSETIME[2]}, Name="reverse", Data = "Reverse"})
end

function HandleCurselifting()
	this:NpcSpeech("Thank the gods that curse got lifted ...")
	this:PlayEffect("ShockwaveEffect")

	-- just in case destroy werewolf object if it exists
	if this:HasObjVar("WereObj") then 
		this:GetObjVar("WereObj"):PlayEffect("ShockwaveEffect")
		--destroy werewolf object
		this:GetObjVar("WereObj"):SendMessage("Destroy")
		-- remove handle to it
		this:DelObjVar("WereObj")
	end
		-- romove curse
	this:DelModule("werebeast")

end

function TryTransmit(target)
	-- Handles inflicting damage and possibly transmitting the curse/infection
	DebugMessage("Trying to transmit to: "..tostring(target:GetName())..":"..tostring(target.Id) )
	if math.random(1,CURSERISK)==1 then
		DebugMessage("Transmitting to: "..tostring(target:GetName())..":"..tostring(target.Id) )
		-- after attaching the behavior, a valid target check and such is handled there,
		-- in the HandleTransmission() thingy
		target:AddModule("werebeast")


	end

end


function DestroyMe()
	this:Destroy()
end
-- Handler for destruction of NPC object
RegisterEventHandler(EventType.Message,"Destroy", DestroyMe)


-- Handler for getting Eaten
RegisterEventHandler(EventType.Message,"GetEaten", GetEaten)

-- Handler for shifting to werewolf form
RegisterEventHandler(EventType.Message,"Cron" .. tostring(this.Id) .. "_shift", HandleShift)

-- Handler for shifting back to human form
RegisterEventHandler(EventType.Message,"Cron" .. tostring(this.Id) .. "_reverse", HandleReverse)

-- The module gets attached on transmission ---> Handled in modded base_mobile !!!!!
RegisterEventHandler(EventType.ModuleAttached, "werebeast", HandleTransmission)

-- The module gets attached on transmission
RegisterEventHandler(EventType.Message, "LiftCurse", HandleCurselifting)

RegisterEventHandler(EventType.CreatedObject, "WereWolfShifted", CreateWolf)

RegisterEventHandler(EventType.Message, "TryTransmit", TryTransmit)



